> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a bank account



## OpenAPI

````yaml post /api/v1/banks/account/verify
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/banks/account/verify:
    post:
      tags:
        - Payout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountNameRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/AccountNameRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AccountNameRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountNameSuccessVerify'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountNameFailureVerify'
components:
  schemas:
    AccountNameRequest:
      required:
        - account_number
        - bank_code
        - currency
      type: object
      properties:
        bank_code:
          minLength: 1
          type: string
        account_number:
          minLength: 1
          type: string
        currency:
          minLength: 1
          type: string
      additionalProperties: false
    AccountNameSuccessVerify:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          type: string
          nullable: true
      additionalProperties: false
      example:
        success: true
        message: Account name retrieved
        data: John
    AccountNameFailureVerify:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          type: string
          nullable: true
      additionalProperties: false
      example:
        success: false
        message: Account name not found
        data: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````